-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jun 18, 2010 at 04:03 PM
-- Server version: 5.0.90
-- PHP Version: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `starr_top`
--

-- --------------------------------------------------------

--
-- Table structure for table `clicks`
--

CREATE TABLE IF NOT EXISTS `clicks` (
  `click_site_id` int(11) NOT NULL,
  `click_ip` varchar(15) NOT NULL,
  `click_time` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `clicks`
--


-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `site_name` varchar(255) NOT NULL,
  `site_url` varchar(255) NOT NULL,
  `site_email` varchar(100) NOT NULL,
  `site_meta_keywords` varchar(255) NOT NULL,
  `site_meta_description` varchar(255) NOT NULL,
  `site_per_page` int(3) NOT NULL,
  `site_captcha` enum('On','Off') NOT NULL default 'On',
  `site_email_verification` enum('On','Off') NOT NULL default 'On',
  `site_admin_site_activation` enum('On','Off') NOT NULL default 'On',
  `site_admin_notification` enum('On','Off') NOT NULL default 'On',
  `site_ads` enum('On','Off') NOT NULL default 'On'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`site_name`, `site_url`, `site_email`, `site_meta_keywords`, `site_meta_description`, `site_per_page`, `site_captcha`, `site_email_verification`, `site_admin_site_activation`, `site_admin_notification`, `site_ads`) VALUES
('Total Topsite', 'http://www.yoursite.com', 'admin@yoursite.com', '', '', 10, 'On', 'On', 'On', 'On', 'On');

-- --------------------------------------------------------

--
-- Table structure for table `sites`
--

CREATE TABLE IF NOT EXISTS `sites` (
  `site_id` int(11) NOT NULL auto_increment,
  `site_name` varchar(100) NOT NULL,
  `site_url` varchar(255) NOT NULL,
  `site_owner` int(11) NOT NULL,
  `site_banner` varchar(255) NOT NULL,
  `site_description` text NOT NULL,
  `site_votes` int(11) NOT NULL,
  `site_clicks` int(11) NOT NULL,
  `site_active` enum('Yes','No','Disapproved') NOT NULL default 'No',
  `site_votes_total` int(11) NOT NULL,
  `site_clicks_total` int(11) NOT NULL,
  PRIMARY KEY  (`site_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `sites`
--

INSERT INTO `sites` (`site_id`, `site_name`, `site_url`, `site_owner`, `site_banner`, `site_description`, `site_votes`, `site_clicks`, `site_active`, `site_votes_total`, `site_clicks_total`) VALUES
(1, 'Site 1', 'www.firstsite.com', 1, '', 'Description for site 1', 0, 0, 'Yes', 0, 0),
(2, 'Site 2', 'www.secondsite.com', 1, '', 'Description for site 2', 0, 0, 'Yes', 0, 0),
(3, 'Site 3', 'www.thirdsite.com', 1, '', 'Description for site 3', 0, 0, 'Yes', 0, 0),
(4, 'Site 4', 'www.fourthsite.com', 1, '', 'Description for site 4', 0, 0, 'Yes', 0, 0),
(5, 'Site 5', 'www.fifthsite.com', 1, '', 'Description for site 5', 0, 0, 'Yes', 0, 0),
(6, 'Site 6', 'www.sixthsite.com', 1, '', 'Description for site 6', 0, 0, 'Yes', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `templates`
--

CREATE TABLE IF NOT EXISTS `templates` (
  `template_id` int(11) NOT NULL auto_increment,
  `template_name` varchar(50) NOT NULL,
  `template_subject` varchar(50) NOT NULL,
  `template_body` text NOT NULL,
  PRIMARY KEY  (`template_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `templates`
--

INSERT INTO `templates` (`template_id`, `template_name`, `template_subject`, `template_body`) VALUES
(1, 'Registration Email', 'Please Verify Your Email', 'Welcome [USER_NAME]! Thanks for registering.<br />---------------------------------------------------------------------------------------------------------<br />Hello,<br />You''re now a member of [SITE_NAME].<br /><br />Here are your login details. Please keep them in a safe place:<br /><br /><strong>Username</strong>: [USER_NAME]<br /><strong>Password</strong>: [PASSWORD]<br />---------------------------------------------------------------------------------------------------------<br /><br />The administrator of this site has requested all new accounts to be activated by the users who created them thus your account is currently inactive. To activate your account, please visit this link:<br />[LINK]<br /><br />Thanks,<br />[SITE_NAME] Team<br />[URL]'),
(2, 'Forgot Password Email', 'Password Reset', 'Dear [USER_NAME], <br /><br />Your password at [SITE_NAME] has been changed. <br />New Password: [PASSWORD] <br /><br />Thanks, <br />The [SITE_NAME] Team <br />[SITE_URL]'),
(3, 'Site Approval Email', 'Your Site Has Been Approved', 'Dear [USER_NAME], <br /><br />Your site has been approved on [SITE_NAME]. <br />You can view your sites profile by clicking this link: [LINK] <br /><br />Thanks, <br />[SITE_NAME] Team <br />[SITE_URL]'),
(4, 'Site Disapproval Email', 'Your Site Was Not Approved', 'Dear [USER_NAME], <br /><br />The site you submitted on [SITE_NAME] has not been approved. <br /><br />Thanks, <br />The [SITE_NAME] Team, <br />[SITE_URL]'),
(5, 'Contact Form', 'New Message', 'You have a new message from [SITE_NAME]<br /><br />&nbsp;[MESSAGE]<br /><br />&nbsp;---------------------------------------- <br />From: [NAME] - Email: [EMAIL] <br />Subject: [SUBJECT] <br />Senders IP: [IP]'),
(6, 'Site Added Email', 'A Site Has Been Added', 'Dear Admin,<br /><br />A site has been added on [SITE_NAME].<br /><br />Site Profile: [LINK]<br /><br />Thanks,<br />The [SITE_NAME] Team');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `user_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(20) NOT NULL,
  `user_email` varchar(100) NOT NULL,
  `user_password` varchar(32) NOT NULL,
  `user_level` int(1) NOT NULL,
  `user_ip` varchar(15) NOT NULL,
  `user_active` enum('Yes','No') NOT NULL default 'No',
  `user_email_token` varchar(32) NOT NULL,
  `user_created` datetime NOT NULL,
  `user_cookie_id` varchar(32) NOT NULL,
  `user_last_active` datetime NOT NULL,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`user_id`, `user_name`, `user_email`, `user_password`, `user_level`, `user_ip`, `user_active`, `user_email_token`, `user_created`, `user_cookie_id`, `user_last_active`) VALUES
(1, 'admin', 'admin@yoursite.com', '21232f297a57a5a743894a0e4a801fc3', 9, '66.74.35.75', 'Yes', '', '0000-00-00 00:00:00', 'b1dac4e0b7c63d26a0587bff9fc57f89', '2010-06-18 15:14:52');

-- --------------------------------------------------------

--
-- Table structure for table `votes`
--

CREATE TABLE IF NOT EXISTS `votes` (
  `vote_site_id` int(11) NOT NULL,
  `vote_ip` varchar(15) NOT NULL,
  `vote_time` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `votes`
--

