<?php

/**
 * Email_mass.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

if(isset($_POST['submit']))
{
	if($settings->massEmail())
		$msg_ok = 'Email succesfully sent.';
}

$msg_info = 'This will send an email to all active users.  Use [USER_NAME] for their user name, [SITE_NAME] for the site name, and [SITE_URL] for the sites URL.';

?>
<?php display_message() ?>
<h1>Mass Email</h1>
<script type="text/javascript">
tinyMCE.init({
	mode : "textareas", 
	theme : "advanced", 
	
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_resizing : true,		
	plugins : "table,advhr,advimage,advlink,emotions,insertdatetime,preview,searchreplace,print,contextmenu",
	extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]",
	theme_advanced_buttons1_add : "fontselect,fontsizeselect",
	theme_advanced_buttons2_add : "separator,insertdate,inserttime,zoom,separator,forecolor,backcolor",
	theme_advanced_buttons2_add_before: "cut,copy,paste,separator,preview,search,replace,separator",
	theme_advanced_buttons3_add_before : "tablecontrols,separator",
	theme_advanced_buttons3_add : "emotions,iespell,flash,advhr,separator,print",
	content_css : "/assets/style.css",	
	force_br_newlines : true,
	force_p_newlines : false,
	forced_root_block : ''

});
</script>

<form action="index.php?page=email_mass" method="post">
<table class="box">
	<thead>
		<tr>
			<th colspan="2">Email All Users</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>From: </td>
			<td><input type="text" class="input" name="email_from" disabled="disabled" value="<?php echo $settings->set['site_email'] ?>" /></td>
		</tr>
		<tr>
			<td>Email Subject: </td>
			<td><input type="text" class="input" name="email_subject" value="" /></td>
		</tr>
		<tr>
			<td>Email Body: </td>
			<td class="none">
				<textarea name="email_body" class="textarea"></textarea>
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="2"><input type="submit" class="button" name="submit" value="Submit" /></td>
		</tr>
	</tfoot>
</table>
</form>