<?php

/**
 * Home.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
$row1 = $db->first("SELECT * FROM sites ORDER BY site_id DESC LIMIT 1");
$row2 = $db->first("SELECT * FROM users ORDER BY user_id DESC LIMIT 1");

?>
<?php display_message(); ?>
<h1><?php echo $settings->set['site_name'];?></h1>
<table class="wide">
	<tr>
		<td valign="top">
			<table class="box wide">
			<thead>
				<tr>
					<th colspan="2">Newest</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Newest Site:</td>
					<td>
						<h2>
							<?php echo $row1['site_name'] ?>
							<?php if($row1['site_active'] == 'Yes'): ?>
							<img src="/images/accept.png" title="Site Active" class="tooltip" />
							<?php elseif($row1['site_active'] == 'Disapproved'): ?>
							<img src="/images/clock_delete.png" title="Site Disapproved" class="tooltip" />
							<?php else: ?>
							<img src="/images/clock_error.png" title="Site Inactive" class="tooltip" />
							<?php endif; ?>
						</h2>
						<img src="<?php echo ($row1['site_banner']) ? $row1['site_banner'] : '/images/no_banner.jpg'; ?>" alt="<?php echo $row1['site_name']; ?>" />
					</td>
				</tr>
				<tr>
					<td>Newest Member:</td>
					<td>
						<h2>
							<?php echo $row2['user_name']; ?>
							<?php $image = ($row2['user_active'] == 'Yes') ? 'accept' : 'clock_error' ?>
							<?php $title = ($row2['user_active'] == 'Yes') ? 'User Active' : 'User Inactive' ?>
							<img src="/images/<?php echo $image ?>.png" title="<?php echo $title ?>" class="tooltip" />
						</h2>
					</td>
				</tr>
			</tbody>
			</table>
		</td>
		<td valign="top">
			<table class="box wide">
			<thead>
				<tr>
					<th colspan="2">Quick Stats</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Total Sites:</td>
					<td><?php echo countRows("sites"); ?></td>
				</tr>
				<tr>
					<td>Total Users:</td>
					<td><?php echo countRows("users"); ?></td>
				</tr>
				<tr>
					<td>Total Votes:</td>
					<td><?php echo countRows("votes"); ?></td>
				</tr>
				<tr>
					<td>Total Clicks:</td>
					<td><?php echo countRows("clicks"); ?></td>
				</tr>
			</tbody>
			</table>
		</td>
	</tr>
</table>