<?php

/**
 * Site_edit.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
$site_id = $_GET['id'];
$row = $sites->getSite($site_id);
if(!$row)
	$msg_error = 'That site cannot be found.';
	
if(isset($_GET['set']))
{
	if($_GET['set'] == 'approve')
	{
		if($sites->approveSite($site_id))
			$msg_ok = 'You have approved the site.';
	}
	elseif($_GET['set'] == 'disapprove')
	{
		if($sites->disapproveSite($site_id))
			$msg_ok = 'You have not approved the site.';
	}
}
	
if(isset($_POST['submit']))
{
	$return = $sites->editSite($site_id);
	if($return)
	{
		$msg_ok = 'The site has been updated.';
		$row = $sites->getSite($site_id);
	}
}

?>
<?php display_message(); ?>
<h1>Sites</h1>
<form action="index.php?page=site_edit&id=<?php echo $site_id ?>" method="post">
<table class="box">
	<thead>
		<tr>
			<th colspan="2">Edit Site</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>Site Name:</td>
			<td><input type="text" class="input" name="site_name" value="<?php echo $row['site_name']; ?>" /></td>
		</tr>
		<tr>
			<td>Site URL:</td>
			<td><input type="text" class="input" name="site_url" value="<?php echo $row['site_url']; ?>" /></td>
		</tr>
		<tr>
			<td>Site Banner:</td>
			<td><input type="text" class="input" name="site_banner" value="<?php echo $row['site_banner']; ?>" /></td>
		</tr>
		<tr>
			<td>Site Description:</td>
			<td><textarea class="textarea" name="site_description"><?php echo $row['site_description']; ?></textarea></td>
		</tr>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="2"><input type="submit" name="submit" class="button" value="Update Site" /></td>
		</tr>
	</tfoot>
</table>
</form>