<?php

/**
 * Sites.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
if(isset($_GET['sort']))
	$sort = str_replace("-", " ", $_GET['sort']);
else
	$sort = 'site_id DESC';

$rows = $sites->getSites(false, $sort);

if(isset($_GET['id']) && isset($_GET['action']))
{
	$site_id = intval($_GET['id']);
	if($_GET['action'] == 'delete')
	{
		if($sites->deleteSite($site_id))
		{
			$msg_ok = 'You have deleted the site.';
			$rows = $sites->getSites(false, $sort);
		}
	}
}

?>
<?php display_message(); ?>
<h1>Sites</h1>
<table class="box wide">
	<thead>
		<tr>
			<td colspan="6">
				<div style="float: left;">
					<form action="" method="post" id="sForm"> 
					<strong>Sort Filter:&nbsp;</strong> 
					<select onchange="if(this.value!='NA') window.location = 'index.php?page=sites&sort='+this[this.selectedIndex].value; else window.location = 'index.php?page=sites';" class="select"> 
						<?php echo $sites->getSiteSort(); ?>
					</select> 
					</form>
				</div>
				<div style="float: right;">
					<?php echo $pager->display_items_per_page() ?>
				</div>
			</td>
		</tr>
		<tr>
			<th colspan="6">Manage Sites</th>
		</tr>
		<tr>
			<td>ID</td>
			<td>Name</td>
			<td>Owner</td>
			<td>Votes</td>
			<td>Clicks</td>
			<td></td>
		</tr>
	</thead>
	<tbody>
		<?php foreach($rows AS $row): ?>
		<tr>
			<td><?php echo $row['site_id'] ?></td>
			<td><?php echo $row['site_name'] ?></td>
			<td><?php echo $row['user_name'] ?></td>
			<td><?php echo $row['site_votes'] ?></td>
			<td><?php echo $row['site_clicks'] ?></td>
			<td>
				<a href="javascript:ask('Are you sure you want to delete this site?', 'index.php?page=sites&action=delete&id=<?php echo $row['site_id']; ?>')"><img src="/images/delete.png" class="tooltip" title="Delete Site" /></a>
				<?php if($row['site_active'] == 'Yes'): ?>
				<img src="/images/accept.png" title="Site Active" class="tooltip" />
				<?php elseif($row['site_active'] == 'Disapproved'): ?>
				<img src="/images/clock_delete.png" title="Site Disapproved" class="tooltip" />
				<?php else: ?>
				<img src="/images/clock_error.png" title="Site Inactive" class="tooltip" />
				<?php endif; ?>
				<a href="index.php?page=site_edit&id=<?php echo $row['site_id'] ?>"><img src="/images/edit.png" class="tooltip" title="Edit Site" /></a>
				<a href="/index.php?page=site_view&id=<?php echo $row['site_id'] ?>" target="_blank"><img src="/images/info.png" class="tooltip" title="Site Profile" /></a>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="6"><?php echo $pager->display_pages(); ?></td>
		</tr>
	</tfoot>
</table>