<?php

/**
 * Forgot_password.php
 * @author starr-gaming.com
 * @copyright 2010
 */
 
$page_title = "Forgot Password";

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
if(isset($_POST['submit']))
{
	$user->forgotPassword();
}
 
$user->unlinkPin();
$_SESSION['pin_value'] = md5(rand(2, 9999999));
$generated_pin = $user->generatePin($_SESSION['pin_value']);
$pin_image = $user->showPin($_SESSION['pin_value'], $generated_pin);

?>
<?php display_message() ?>
<h1>Password Recovery</h1>
<form action="/index.php?page=forgot_password" method="post">
	<table class="box wide">
		<thead>
			<tr>
				<th colspan="2">Forgot Password</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Login Name: </td>
				<td><input type="text" name="user_name" class="input" /></td>
			</tr>
			<?php if($settings->set['site_captcha'] == 'On'): ?>
			<tr>
				<td>Enter Code:</td>
				<td><input type="text" class="input" name="user_pin" /> <?php echo $pin_image; ?></td>
			</tr>
			<?php endif; ?>
			<tr>
				<td colspan="2"><a href="/index.php">Back Home</a></td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="2"><input type="submit" name="submit" class="button" value="Get Password" /></td>
			</tr>
		</tfoot>
	</table>
</form>