<?php

/**
 * Login.php
 * @author starr-gaming.com
 * @copyright 2010
 */
 
$page_title = "Login";

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
 
if(isset($_GET['logout']))
{
	$user->logout();
	$msg_ok = 'You have logged out.';
}

if(isset($_POST['submit']))
{
	$result = $user->login();
	if($result)
		redirect("index.php?loggedin=1");
}

if(isset($_GET['token']) && isset($_GET['email']))
	$user->activateUser();
?>
<?php display_message(); ?>
<h1><?php echo $page_title; ?></h1>
<form action="/index.php?page=login" method="post">
	<table class="box wide">
		<thead>
			<tr>
				<th colspan="2">User Login</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Login Name:</td>
				<td><input type="text" class="input" name="user_name" /></td>
			</tr>
			<tr>
				<td>Password:</td>
				<td><input type="password" class="input" name="user_password" /></td>
			</tr>
			<tr>
				<td>Remember Me:</td>
				<td><input type="checkbox" name="user_remember" value="1" /></td>
			</tr>
			<tr>
				<td colspan="2">
					Not Registered: <a href="/index.php?page=register">Sign-Up Now</a><br />
					Forgot Your Password: <a href="/index.php?page=forgot_password">Recover</a>
				</td>
			</tr>
			<tr>
				<td colspan="2"><a href="/index.php">Back Home</a></td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="2"><input type="submit" name="submit" value="Login Now" class="button" /></td>
			</tr>
		</tfoot>
	</table>
</form>