<?php

/**
 * Register.php
 * @author starr-gaming.com
 * @copyright 2010
 */
 
$page_title = "Register";

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

if(isset($_POST['submit']))
	$user->register();
 
$user->unlinkPin();
$_SESSION['pin_value'] = md5(rand(2, 9999999));
$generated_pin = $user->generatePin($_SESSION['pin_value']);
$pin_image = $user->showPin($_SESSION['pin_value'], $generated_pin);
	
if(isset($_GET['add']))
	$msg_alert = 'You must be a registered user to add a site.  You can register here or <a href="/index.php?page=login">Login Now</a>';


?>
<?php display_message(); ?>
<h1><?php echo $page_title; ?></h1>
<form action="/index.php?page=register" method="post">
	<table class="box wide">
		<thead>
			<tr>
				<th colspan="2">User Registration</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Login Name:</td>
				<td><input type="text" class="input" name="user_name" /></td>
			</tr>
			<tr>
				<td>Account Password:</td>
				<td><input type="password" class="input" name="user_password" /></td>
			</tr>
			<tr>
				<td>Repeat Password:</td>
				<td><input type="password" class="input" name="user_password_repeat" /></td>
			</tr>
			<tr>
				<td>Email Address:</td>
				<td><input type="text" class="input" name="user_email" /></td>
			</tr>
			<?php if($settings->set['site_captcha'] == 'On'): ?>
			<tr>
				<td>Enter Code:</td>
				<td><input type="text" class="input" name="user_pin" /> <?php echo $pin_image; ?></td>
			</tr>
			<?php endif; ?>
			<tr>
				<td colspan="2"><a href="/index.php">Back Home</a></td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="2"><input type="submit" name="submit" value="Register" class="button" /></td>
			</tr>
		</tfoot>
	</table>
</form>