<?php

/**
 * Add_site.php
 * @author starr-gaming.com
 * @copyright 2010
 */
 
$page_title = "Add Your Site";

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

if(!$user->logged_in)
	redirect("/index.php?page=register&add=1");

if(isset($_POST['submit']))
{
	$return = $sites->submitSite();
	if($return)
		redirect("/index.php?page=panel&siteadded=1");
}	

?>
<?php display_message(); ?>
<h1><?php echo $page_title; ?></h1>
<form action="/index.php?page=site_add" method="post">
	<table class="box">
		<thead>
			<tr>
				<th colspan="2">Add Your Site</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Site Name:</td>
				<td>
					<input type="text" class="input" name="site_name" value="" />
					<img src="/images/info.png" class="tooltip" title="The name of your site." />
				</td>
			</tr>
			<tr>
				<td>Site URL:</td>
				<td>
					<input type="text" class="input" name="site_url" value="" />
					<img src="/images/info.png" class="tooltip" title="The URL to your site, eg: www.yoursite.com." />
				</td>
			</tr>
			<tr>
				<td>Site Banner:</td>
				<td>
					<input type="text" class="input" name="site_banner" value="" />
					<img src="/images/info.png" class="tooltip" title="A URL to a 468x60 pixel banner, eg: www.yoursite.com/yourbanner.gif." />
				</td>
			</tr>
			<tr>
				<td>Site Description:</td>
				<td>
					<textarea class="textarea" name="site_description"></textarea>
					<img src="/images/info.png" class="tooltip" title="A detailed description of your site." />
				</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="2"><input type="submit" name="submit" value="Add Site" class="button" /></td>
			</tr>
		</tfoot>
	</table>
</form>