<?php

/**
 * Site_code.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

if(!$user->logged_in)
	redirect("/index.php?page=login");

$site_id = intval($_GET['id']);

$site = $sites->getSite($site_id);

$page_title = 'Voting Links for ' . $site['site_name'];

if($site['site_owner'] != $user->user_info['user_id'])
	$msg_error[] = 'You are not the owner of this site.';

?>
<?php display_message(); ?>
<?php if(empty($msg_error)): ?>
<h1><?php echo $page_title; ?></h1>
Copy one of these pieces of code onto your site and get started voting today.
	<table class="box site_code">
	<tbody>
		<tr>
			<td>
				<h3>Vote URL</h3>
				<textarea class="textarea" onclick="javascript:select()"><?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?></textarea>
			</td>
		</tr>
		<tr>
			<td>
				<h3>Simple Text Link</h3>
				Example: <a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>">Vote At <?php echo $settings->set['site_name']; ?></a><br />
				<textarea class="textarea" onclick="javascript:select()"><a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>">Vote At <?php echo $settings->set['site_name']; ?></a></textarea>
			</td>
		</tr>
		<tr>
			<td>
				<h3>Small Vote Button</h3>
				Example: <a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>"><img src="<?php echo SITEURL; ?>/images/vote_banner_1.jpg" /></a><br />
				<textarea class="textarea" onclick="javascript:select()"><a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>"><img src="<?php echo SITEURL; ?>/images/vote_banner_1.jpg" /></a></textarea>
			</td>
		</tr>
		<tr>
			<td>
				<h3>Medium Vote Button</h3>
				Example: <a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>"><img src="<?php echo SITEURL; ?>/images/vote_banner_2.jpg" /></a><br />
				<textarea class="textarea" onclick="javascript:select()"><a href="<?php echo SITEURL; ?>/index.php?page=in&id=<?php echo $site_id ?>"><img src="<?php echo SITEURL; ?>/images/vote_banner_2.jpg" /></a></textarea>
			</td>
		</tr>
	</tbody>
	</table>
<?php endif; ?>