<?php

/**
 * Site_approval.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

$rows = $sites->getSites(array('field'=>'site_active', 'value'=>'No'));

if(isset($_GET['set']) && $_GET['id'])
{
	$site_id = intval($_GET['id']);
	if($_GET['set'] == 'approve')
	{
		if($sites->approveSite($site_id))
			$msg_ok = 'You have approved the site.';
	}
	if($_GET['set'] == 'disapprove')
	{
		if($sites->disapproveSite($site_id))
			$msg_ok = 'You have not approved the site.';
	}

	$rows = $sites->getSites(array('field'=>'site_active', 'value'=>'No'));
}

?>
<?php display_message(); ?>
<h1>Site Approval</h1>
<table class="box wide">
	<thead>
		<tr>
			<th colspan="4">Approve Sites</th>
		</tr>
		<tr>
			<td>ID</td>
			<td>Name</td>
			<td>Owner</td>
			<td></td>
		</tr>
	</thead>
	<tbody>
	<?php if($rows): ?>
		<?php foreach($rows AS $row): ?>
		<tr>
			<td><?php echo $row['site_id'] ?></td>
			<td><?php echo $row['site_name'] ?></td>
			<td><?php echo $row['user_name'] ?></td>
			<td>
				<a href="index.php?page=site_approval&set=approve&id=<?php echo $row['site_id'] ?>"><img src="/images/accept.png" class="tooltip" title="Approve Site" /></a>
				<a href="javascript:ask('Are you sure you want to disapprove this site?', 'index.php?page=site_approval&set=disapprove&id=<?php echo $row['site_id'] ?>')"><img src="/images/delete.png" class="tooltip" title="Disapprove Site" /></a>
				<a href="/index.php?page=site_view&id=<?php echo $row['site_id'] ?>" target="_blank"><img src="/images/info.png" class="tooltip" title="Site Profile" /></a>
			</td>
		</tr>
		<?php endforeach; ?>
	<?php else: ?>
		<tr>
			<td colspan="4"><div class="msg_info">There are no sites waiting approval.</div></td>
		</tr>
	<?php endif; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="4"><?php echo $pager->display_pages(); ?></td>
		</tr>
	</tfoot>
</table>