<?php

/**
 * Users.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
if(isset($_GET['sort']))
	$sort = str_replace("-", " ", $_GET['sort']);
else
	$sort = 'user_id DESC';

$rows = $user->getUsers(false, $sort);

?>
<?php display_message(); ?>
<h1>Users</h1>
<table class="box wide">
	<thead>
		<tr>
			<td colspan="4">
				<div style="float: left;">
					<form action="" method="post" id="sForm"> 
					<strong>Sort Filter:&nbsp;</strong> 
					<select onchange="if(this.value!='NA') window.location = 'index.php?page=users&sort='+this[this.selectedIndex].value; else window.location = 'index.php?page=users';" class="select"> 
						<?php echo $user->getUserSort(); ?>
					</select> 
					</form>
				</div>
				<div style="float: right;">
					<?php echo $pager->display_items_per_page() ?>
				</div>
			</td>
		</tr>
		<tr>
			<th colspan="4">Manage Users</th>
		</tr>
		<tr>
			<td>ID</td>
			<td>User</td>
			<td>Activity</td>
			<td></td>
		</tr>
	</thead>
	<tbody>
		<?php foreach($rows AS $row): ?>
		<tr>
			<td><?php echo $row['user_id']; ?></td>
			<td>
				<?php echo $row['user_name']; ?><br />
				<a href="index.php?page=email_user&id=<?php echo $row['user_id']; ?>"><?php echo $row['user_email']; ?></a>
			</td>
			<td>Created: <?php echo $row['user_created']; ?><br />Last On: <?php echo $row['user_last_active']; ?></td>
			<td>
				<?php $image = ($row['user_active'] == 'Yes') ? 'accept' : 'clock_error' ?>
				<?php $title = ($row['user_active'] == 'Yes') ? 'User Active' : 'User Inactive' ?>
				<img src="/images/<?php echo $image ?>.png" title="<?php echo $title ?>" class="tooltip" />
				<a href="index.php?page=user_edit&id=<?php echo $row['user_id'] ?>"><img src="/images/edit.png" class="tooltip" title="Edit User" /></a>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="4"><?php echo $pager->display_pages(); ?></td>
		</tr>
	</tfoot>
</table>