<?php

/**
 * Init.php
 * @author starr-gaming.com
 * @copyright 2010
 */
 
if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

if (substr(PHP_OS, 0, 3) == "WIN")
{
	$base = str_replace("init.php", "", realpath(__file__));
}
else
{
	$base = str_replace("init.php", "", realpath(__file__));
}

define("BASE", $base);

//Include Functions
require_once (BASE . "lib/functions.php");

require_once (BASE . "lib/config.php");

if($debug)
	error_reporting(E_ALL);
else
	error_reporting(E_ALL ^ E_NOTICE);

//Include Classes
require_once (BASE . "lib/class_db.php");
require_once (BASE . "lib/class_settings.php");
require_once (BASE . "lib/class_sites.php");
require_once (BASE . "lib/class_users.php");
require_once (BASE . "lib/class_paginate.php");

//Start the database
$db = new Database(DB_SERVER, DB_USER, DB_PASS, DB_DATABASE);

//connect here
$db->connect();

//Start Config
$settings = new Settings();

define("SITEURL", $settings->set['site_url']);

//Start user session
$user = new User();
//Start site class
$sites = new Sites;

//include mailer class
require_once (BASE . "lib/class_mailer.php");

?>