<?php

/**
 * Class mailer.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');

class Mailer
{
	private $site_name;
	private $site_mail;
	
	function __construct()
	{
		global $settings;

		$this->site_mail = $settings->set['site_email'];
		$this->site_name = $settings->set['site_name'];
	}

	public function sendMail($to, $subject, $body)
	{
		require_once (BASE . "lib/class_phpmailer.php");
		$mail = new PHPMailer();
		$mail->From = $this->site_mail;
		$mail->FromName = $this->site_name;
		$mail->AddAddress("" . $to . "");
		$mail->IsHTML(true);
		$mail->Subject = $subject;

		$mailcontent = stripslashes($body);
		$mail->Body = nl2br($mailcontent);
		if (!$mail->Send())
		{
			$result = $mail->ErrorInfo;
		}
		else
		{
			$result = true;
		}
		return $result;
	}
}
/* Initialize mailer object */
$mailer = new Mailer();

?>