<?php

/**
 * Home.php
 * @author starr-gaming.com
 * @copyright 2010
 */

if (!defined("VALID_PHP"))
	die('Direct access to this location is not allowed.');
	
if(isset($_GET['sort']))
	$sort = str_replace("-", " ", $_GET['sort']);
else
	$sort = 'site_votes DESC';
 
if(isset($_GET['loggedin']))
	$msg_info = 'You have logged in.';

$rows = $sites->getSites(array("field"=>"site_active", "value"=>"Yes"), $sort);
$i = (intval($_GET['p']) * intval($_GET['ipp'])) - intval($_GET['ipp']);
if($i < 0) $i = 1;
?>
<?php display_message(); ?>
<h1><?php echo $settings->set['site_name'];?></h1>
<table class="box wide">
<thead>
		<tr>
			<td colspan="3">
				<div style="float: left;">
					<form action="" method="post" id="sort_form"> 
					<strong>Sort Direction: </strong> 
					<select onchange="if(this.value!='NA') window.location = '/index.php?sort='+this[this.selectedIndex].value; else window.location = '/index.php';" class="select"> 
						<?php echo $sites->getSiteSort(); ?>
					</select> 
					</form>
				</div>
				<div style="float: right;">
					<?php echo $pager->display_items_per_page() ?>
				</div>
			</td>
		</tr>
</thead>
<tbody>
<?php foreach ($rows AS $row): ?>
	<?php $i++; ?>
	<tr>
		<td class="rank"><?php echo $i; ?></td>
		<td class="image">
			<a href="/index.php?page=site_view&id=<?php echo $row['site_id']; ?>"><img src="<?php echo ($row['site_banner']) ? 'http://' . $row['site_banner'] : '/images/no_banner.jpg'; ?>" alt="<?php echo $row['site_name']; ?>" /></a><br />
			<?php echo substr($row['site_description'], 0, 200) . '...'; ?>
		</td>
		<td class="stats">
			<h3><a href="/index.php?page=site_view&id=<?php echo $row['site_id']; ?>"><?php echo $row['site_name']; ?></a> - <a href="/index.php?page=out&id=<?php echo $row['site_id']; ?>"><img src="/images/page_go.png" title="Go To Site" width="12" class="tooltip" /></a></h3>
			Votes: <?php echo $row['site_votes']; ?><br />
			Clicks: <?php echo $row['site_clicks']; ?><br />
		</td>
	</tr>
	<?php if($i == 5 && $settings->set['site_ads'] == 'On'): ?>
	<tr>
		<td class="rank"></td>
		<td class="image"><?php include(BASE . "banners/small_banner.php"); ?></td>
		<td class="stats"></td>
	</tr>
	<?php endif; ?>
<?php endforeach; ?>
</tbody>
<tfoot>
	<tr>
		<td colspan="3"><?php echo $pager->display_pages(); ?></td>
	</tr>
</tfoot>
</table>